[arch-commits] Commit in git/repos (20 files)

Dan McGee dan at archlinux.org
Sat Mar 12 21:13:18 UTC 2016


    Date: Saturday, March 12, 2016 @ 22:13:18
  Author: dan
Revision: 261388

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  git/repos/extra-i686/PKGBUILD
    (from rev 261387, git/trunk/PKGBUILD)
  git/repos/extra-i686/git-daemon.socket
    (from rev 261387, git/trunk/git-daemon.socket)
  git/repos/extra-i686/git-daemon at .service
    (from rev 261387, git/trunk/git-daemon at .service)
  git/repos/extra-i686/git.install
    (from rev 261387, git/trunk/git.install)
  git/repos/extra-x86_64/PKGBUILD
    (from rev 261387, git/trunk/PKGBUILD)
  git/repos/extra-x86_64/git-daemon.socket
    (from rev 261387, git/trunk/git-daemon.socket)
  git/repos/extra-x86_64/git-daemon at .service
    (from rev 261387, git/trunk/git-daemon at .service)
  git/repos/extra-x86_64/git.install
    (from rev 261387, git/trunk/git.install)
Deleted:
  git/repos/extra-i686/0001-t8005-avoid-grep-on-non-ASCII-data.patch
  git/repos/extra-i686/0001-t9200-avoid-grep-on-non-ASCII-data.patch
  git/repos/extra-i686/PKGBUILD
  git/repos/extra-i686/git-daemon.socket
  git/repos/extra-i686/git-daemon at .service
  git/repos/extra-i686/git.install
  git/repos/extra-x86_64/0001-t8005-avoid-grep-on-non-ASCII-data.patch
  git/repos/extra-x86_64/0001-t9200-avoid-grep-on-non-ASCII-data.patch
  git/repos/extra-x86_64/PKGBUILD
  git/repos/extra-x86_64/git-daemon.socket
  git/repos/extra-x86_64/git-daemon at .service
  git/repos/extra-x86_64/git.install

------------------------------------------------------------+
 /PKGBUILD                                                  |  230 +++++++++++
 /git-daemon.socket                                         |   18 
 /git-daemon at .service                                       |   20 
 /git.install                                               |   24 +
 extra-i686/0001-t8005-avoid-grep-on-non-ASCII-data.patch   |   88 ----
 extra-i686/0001-t9200-avoid-grep-on-non-ASCII-data.patch   |   33 -
 extra-i686/PKGBUILD                                        |  125 -----
 extra-i686/git-daemon.socket                               |    9 
 extra-i686/git-daemon at .service                             |   10 
 extra-i686/git.install                                     |   12 
 extra-x86_64/0001-t8005-avoid-grep-on-non-ASCII-data.patch |   88 ----
 extra-x86_64/0001-t9200-avoid-grep-on-non-ASCII-data.patch |   33 -
 extra-x86_64/PKGBUILD                                      |  125 -----
 extra-x86_64/git-daemon.socket                             |    9 
 extra-x86_64/git-daemon at .service                           |   10 
 extra-x86_64/git.install                                   |   12 
 16 files changed, 292 insertions(+), 554 deletions(-)

Deleted: extra-i686/0001-t8005-avoid-grep-on-non-ASCII-data.patch
===================================================================
--- extra-i686/0001-t8005-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-i686/0001-t8005-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,88 +0,0 @@
-From 0be43dedbc03139b9d9d0bc71deefc4d7f47296d Mon Sep 17 00:00:00 2001
-From: John Keeping <john at keeping.me.uk>
-Date: Sun, 21 Feb 2016 17:32:21 +0000
-Subject: [PATCH] t8005: avoid grep on non-ASCII data
-
-GNU grep 2.23 detects the input used in this test as binary data so it
-does not work for extracting lines from a file.  We could add the "-a"
-option to force grep to treat the input as text, but not all
-implementations support that.  Instead, use sed to extract the desired
-lines since it will always treat its input as text.
-
-While touching these lines, modernize the test style to avoid hiding the
-exit status of "git blame" and remove a space following a redirection
-operator.  Also swap the order of the expected and actual output
-files given to test_cmp; we compare expect and actual to show how
-actual output differs from what is expected.
-
-Signed-off-by: John Keeping <john at keeping.me.uk>
-Signed-off-by: Junio C Hamano <gitster at pobox.com>
----
- t/t8005-blame-i18n.sh | 28 ++++++++++++++++------------
- 1 file changed, 16 insertions(+), 12 deletions(-)
-
-diff --git a/t/t8005-blame-i18n.sh b/t/t8005-blame-i18n.sh
-index 847d098..75da219 100755
---- a/t/t8005-blame-i18n.sh
-+++ b/t/t8005-blame-i18n.sh
-@@ -33,11 +33,15 @@ author $SJIS_NAME
- summary $SJIS_MSG
- EOF
- 
-+filter_author_summary () {
-+	sed -n -e '/^author /p' -e '/^summary /p' "$@"
-+}
-+
- test_expect_success !MINGW \
- 	'blame respects i18n.commitencoding' '
--	git blame --incremental file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- cat >expected <<EOF
-@@ -52,9 +56,9 @@ EOF
- test_expect_success !MINGW \
- 	'blame respects i18n.logoutputencoding' '
- 	git config i18n.logoutputencoding eucJP &&
--	git blame --incremental file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- cat >expected <<EOF
-@@ -68,9 +72,9 @@ EOF
- 
- test_expect_success !MINGW \
- 	'blame respects --encoding=UTF-8' '
--	git blame --incremental --encoding=UTF-8 file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental --encoding=UTF-8 file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- cat >expected <<EOF
-@@ -84,9 +88,9 @@ EOF
- 
- test_expect_success !MINGW \
- 	'blame respects --encoding=none' '
--	git blame --incremental --encoding=none file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental --encoding=none file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- test_done
--- 
-2.7.1
-

Deleted: extra-i686/0001-t9200-avoid-grep-on-non-ASCII-data.patch
===================================================================
--- extra-i686/0001-t9200-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-i686/0001-t9200-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,33 +0,0 @@
-From 3b1442d5d23577ed3570023d338cd12298b16867 Mon Sep 17 00:00:00 2001
-From: John Keeping <john at keeping.me.uk>
-Date: Sun, 21 Feb 2016 17:32:22 +0000
-Subject: [PATCH] t9200: avoid grep on non-ASCII data
-
-GNU grep 2.23 detects the input used in this test as binary data so it
-does not work for extracting lines from a file.  We could add the "-a"
-option to force grep to treat the input as text, but not all
-implementations support that.  Instead, use sed to extract the desired
-lines since it will always treat its input as text.
-
-Signed-off-by: John Keeping <john at keeping.me.uk>
-Signed-off-by: Junio C Hamano <gitster at pobox.com>
----
- t/t9200-git-cvsexportcommit.sh | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
-index 812c9cd..7117719 100755
---- a/t/t9200-git-cvsexportcommit.sh
-+++ b/t/t9200-git-cvsexportcommit.sh
-@@ -35,7 +35,7 @@ exit 1
- 
- check_entries () {
- 	# $1 == directory, $2 == expected
--	grep '^/' "$1/CVS/Entries" | sort | cut -d/ -f2,3,5 >actual
-+	sed -ne '/^\//p' "$1/CVS/Entries" | sort | cut -d/ -f2,3,5 >actual
- 	if test -z "$2"
- 	then
- 		>expected
--- 
-2.7.1
-

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-i686/PKGBUILD	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,125 +0,0 @@
-# $Id$
-# Maintainer: Dan McGee <dan at archlinux.org>
-
-pkgname=git
-pkgver=2.7.2
-pkgrel=2
-pkgdesc="the fast distributed version control system"
-arch=(i686 x86_64)
-url="http://git-scm.com/"
-license=('GPL2')
-depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
-makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
-optdepends=('tk: gitk and git gui'
-            'perl-libwww: git svn'
-            'perl-term-readkey: git svn'
-            'perl-mime-tools: git send-email'
-            'perl-net-smtp-ssl: git send-email TLS support'
-            'perl-authen-sasl: git send-email TLS support'
-            'python2: various helper scripts'
-            'subversion: git svn'
-            'cvsps2: git cvsimport'
-            'gnome-keyring: GNOME keyring credential helper')
-replaces=('git-core')
-provides=('git-core')
-install=git.install
-source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
-        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
-        git-daemon at .service
-        git-daemon.socket
-        0001-t8005-avoid-grep-on-non-ASCII-data.patch
-        0001-t9200-avoid-grep-on-non-ASCII-data.patch)
-md5sums=('b14189d9d9ea32274e51c7a4240ffc15'
-         'SKIP'
-         '042524f942785772d7bd52a1f02fe5ae'
-         'f67869315c2cc112e076f0c73f248002'
-         '962d0aefc0d1e8988de4cadc64dfb4c0'
-         '8ca170a285fa030f6eb629b5c67c16bd')
-validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
-
-prepare() {
-  cd "$srcdir/$pkgname-$pkgver"
-  patch -Np1 < "$srcdir/0001-t8005-avoid-grep-on-non-ASCII-data.patch"
-  patch -Np1 < "$srcdir/0001-t9200-avoid-grep-on-non-ASCII-data.patch"
-}
-
-build() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    all doc
-
-  make -C contrib/emacs prefix=/usr
-  make -C contrib/credential/gnome-keyring
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
-}
-
-check() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  local jobs
-  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
-  mkdir -p /dev/shm/git-test
-  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
-  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
-  # build chroot (i.e.: /usr/bin/nologin)
-  SHELL=/bin/sh \
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    NO_SVN_TESTS=y \
-    DEFAULT_TEST_TARGET=prove \
-    GIT_PROVE_OPTS="$jobs -Q" \
-    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
-    test
-}
-
-package() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
-
-  # bash completion
-  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
-  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
-  # fancy git prompt
-  mkdir -p "$pkgdir"/usr/share/git/
-  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
-  # emacs
-  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
-  # gnome credentials helper
-  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
-      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
-  make -C contrib/credential/gnome-keyring clean
-  # subtree installation
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
-  # the rest of the contrib stuff
-  cp -a ./contrib/* $pkgdir/usr/share/git/
-
-  # scripts are for python 2.x
-  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
-    $(find "$pkgdir" -name '*.py') \
-    "$pkgdir"/usr/share/git/gitview/gitview \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
-  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
-    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
-
-  # remove perllocal.pod, .packlist, and empty directories.
-  rm -rf "$pkgdir"/usr/lib/perl5
-
-  # git-daemon via systemd socket activation
-  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
-  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
-}

Copied: git/repos/extra-i686/PKGBUILD (from rev 261387, git/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,115 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=git
+pkgver=2.7.3
+pkgrel=1
+pkgdesc="the fast distributed version control system"
+arch=(i686 x86_64)
+url="http://git-scm.com/"
+license=('GPL2')
+depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
+makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
+optdepends=('tk: gitk and git gui'
+            'perl-libwww: git svn'
+            'perl-term-readkey: git svn'
+            'perl-mime-tools: git send-email'
+            'perl-net-smtp-ssl: git send-email TLS support'
+            'perl-authen-sasl: git send-email TLS support'
+            'python2: various helper scripts'
+            'subversion: git svn'
+            'cvsps2: git cvsimport'
+            'gnome-keyring: GNOME keyring credential helper')
+replaces=('git-core')
+provides=('git-core')
+install=git.install
+source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
+        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
+        git-daemon at .service
+		git-daemon.socket)
+md5sums=('bb01710b1b24789a53c800a90c73957f'
+         'SKIP'
+         '042524f942785772d7bd52a1f02fe5ae'
+		 'f67869315c2cc112e076f0c73f248002')
+validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
+
+build() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    all doc
+
+  make -C contrib/emacs prefix=/usr
+  make -C contrib/credential/gnome-keyring
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
+}
+
+check() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  local jobs
+  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
+  mkdir -p /dev/shm/git-test
+  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
+  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
+  # build chroot (i.e.: /usr/bin/nologin)
+  SHELL=/bin/sh \
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    NO_SVN_TESTS=y \
+    DEFAULT_TEST_TARGET=prove \
+    GIT_PROVE_OPTS="$jobs -Q" \
+    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
+    test
+}
+
+package() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
+
+  # bash completion
+  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
+  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
+  # fancy git prompt
+  mkdir -p "$pkgdir"/usr/share/git/
+  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
+  # emacs
+  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
+  # gnome credentials helper
+  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
+      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
+  make -C contrib/credential/gnome-keyring clean
+  # subtree installation
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
+  # the rest of the contrib stuff
+  cp -a ./contrib/* $pkgdir/usr/share/git/
+
+  # scripts are for python 2.x
+  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
+    $(find "$pkgdir" -name '*.py') \
+    "$pkgdir"/usr/share/git/gitview/gitview \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
+  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
+    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
+
+  # remove perllocal.pod, .packlist, and empty directories.
+  rm -rf "$pkgdir"/usr/lib/perl5
+
+  # git-daemon via systemd socket activation
+  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
+  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+}

Deleted: extra-i686/git-daemon.socket
===================================================================
--- extra-i686/git-daemon.socket	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-i686/git-daemon.socket	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Git Daemon Socket
-
-[Socket]
-ListenStream=9418
-Accept=true
-
-[Install]
-WantedBy=sockets.target

Copied: git/repos/extra-i686/git-daemon.socket (from rev 261387, git/trunk/git-daemon.socket)
===================================================================
--- extra-i686/git-daemon.socket	                        (rev 0)
+++ extra-i686/git-daemon.socket	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Git Daemon Socket
+
+[Socket]
+ListenStream=9418
+Accept=true
+
+[Install]
+WantedBy=sockets.target

Deleted: extra-i686/git-daemon at .service
===================================================================
--- extra-i686/git-daemon at .service	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-i686/git-daemon at .service	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,10 +0,0 @@
-[Unit]
-Description=Git Daemon Instance
-
-[Service]
-User=git
-# The '-' is to ignore non-zero exit statuses
-ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
-StandardInput=socket
-StandardOutput=inherit
-StandardError=journal

Copied: git/repos/extra-i686/git-daemon at .service (from rev 261387, git/trunk/git-daemon at .service)
===================================================================
--- extra-i686/git-daemon at .service	                        (rev 0)
+++ extra-i686/git-daemon at .service	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,10 @@
+[Unit]
+Description=Git Daemon Instance
+
+[Service]
+User=git
+# The '-' is to ignore non-zero exit statuses
+ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
+StandardInput=socket
+StandardOutput=inherit
+StandardError=journal

Deleted: extra-i686/git.install
===================================================================
--- extra-i686/git.install	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-i686/git.install	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,12 +0,0 @@
-post_install() {
-  if ! getent group git >/dev/null; then
-    groupadd --system git 
-  fi
-  if ! getent passwd git >/dev/null; then
-    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
-  fi
-}
-
-post_upgrade() {
-  post_install $1
-}

Copied: git/repos/extra-i686/git.install (from rev 261387, git/trunk/git.install)
===================================================================
--- extra-i686/git.install	                        (rev 0)
+++ extra-i686/git.install	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,12 @@
+post_install() {
+  if ! getent group git >/dev/null; then
+    groupadd --system git 
+  fi
+  if ! getent passwd git >/dev/null; then
+    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
+  fi
+}
+
+post_upgrade() {
+  post_install $1
+}

Deleted: extra-x86_64/0001-t8005-avoid-grep-on-non-ASCII-data.patch
===================================================================
--- extra-x86_64/0001-t8005-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-x86_64/0001-t8005-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,88 +0,0 @@
-From 0be43dedbc03139b9d9d0bc71deefc4d7f47296d Mon Sep 17 00:00:00 2001
-From: John Keeping <john at keeping.me.uk>
-Date: Sun, 21 Feb 2016 17:32:21 +0000
-Subject: [PATCH] t8005: avoid grep on non-ASCII data
-
-GNU grep 2.23 detects the input used in this test as binary data so it
-does not work for extracting lines from a file.  We could add the "-a"
-option to force grep to treat the input as text, but not all
-implementations support that.  Instead, use sed to extract the desired
-lines since it will always treat its input as text.
-
-While touching these lines, modernize the test style to avoid hiding the
-exit status of "git blame" and remove a space following a redirection
-operator.  Also swap the order of the expected and actual output
-files given to test_cmp; we compare expect and actual to show how
-actual output differs from what is expected.
-
-Signed-off-by: John Keeping <john at keeping.me.uk>
-Signed-off-by: Junio C Hamano <gitster at pobox.com>
----
- t/t8005-blame-i18n.sh | 28 ++++++++++++++++------------
- 1 file changed, 16 insertions(+), 12 deletions(-)
-
-diff --git a/t/t8005-blame-i18n.sh b/t/t8005-blame-i18n.sh
-index 847d098..75da219 100755
---- a/t/t8005-blame-i18n.sh
-+++ b/t/t8005-blame-i18n.sh
-@@ -33,11 +33,15 @@ author $SJIS_NAME
- summary $SJIS_MSG
- EOF
- 
-+filter_author_summary () {
-+	sed -n -e '/^author /p' -e '/^summary /p' "$@"
-+}
-+
- test_expect_success !MINGW \
- 	'blame respects i18n.commitencoding' '
--	git blame --incremental file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- cat >expected <<EOF
-@@ -52,9 +56,9 @@ EOF
- test_expect_success !MINGW \
- 	'blame respects i18n.logoutputencoding' '
- 	git config i18n.logoutputencoding eucJP &&
--	git blame --incremental file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- cat >expected <<EOF
-@@ -68,9 +72,9 @@ EOF
- 
- test_expect_success !MINGW \
- 	'blame respects --encoding=UTF-8' '
--	git blame --incremental --encoding=UTF-8 file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental --encoding=UTF-8 file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- cat >expected <<EOF
-@@ -84,9 +88,9 @@ EOF
- 
- test_expect_success !MINGW \
- 	'blame respects --encoding=none' '
--	git blame --incremental --encoding=none file | \
--		egrep "^(author|summary) " > actual &&
--	test_cmp actual expected
-+	git blame --incremental --encoding=none file >output &&
-+	filter_author_summary output >actual &&
-+	test_cmp expected actual
- '
- 
- test_done
--- 
-2.7.1
-

Deleted: extra-x86_64/0001-t9200-avoid-grep-on-non-ASCII-data.patch
===================================================================
--- extra-x86_64/0001-t9200-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-x86_64/0001-t9200-avoid-grep-on-non-ASCII-data.patch	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,33 +0,0 @@
-From 3b1442d5d23577ed3570023d338cd12298b16867 Mon Sep 17 00:00:00 2001
-From: John Keeping <john at keeping.me.uk>
-Date: Sun, 21 Feb 2016 17:32:22 +0000
-Subject: [PATCH] t9200: avoid grep on non-ASCII data
-
-GNU grep 2.23 detects the input used in this test as binary data so it
-does not work for extracting lines from a file.  We could add the "-a"
-option to force grep to treat the input as text, but not all
-implementations support that.  Instead, use sed to extract the desired
-lines since it will always treat its input as text.
-
-Signed-off-by: John Keeping <john at keeping.me.uk>
-Signed-off-by: Junio C Hamano <gitster at pobox.com>
----
- t/t9200-git-cvsexportcommit.sh | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
-index 812c9cd..7117719 100755
---- a/t/t9200-git-cvsexportcommit.sh
-+++ b/t/t9200-git-cvsexportcommit.sh
-@@ -35,7 +35,7 @@ exit 1
- 
- check_entries () {
- 	# $1 == directory, $2 == expected
--	grep '^/' "$1/CVS/Entries" | sort | cut -d/ -f2,3,5 >actual
-+	sed -ne '/^\//p' "$1/CVS/Entries" | sort | cut -d/ -f2,3,5 >actual
- 	if test -z "$2"
- 	then
- 		>expected
--- 
-2.7.1
-

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-x86_64/PKGBUILD	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,125 +0,0 @@
-# $Id$
-# Maintainer: Dan McGee <dan at archlinux.org>
-
-pkgname=git
-pkgver=2.7.2
-pkgrel=2
-pkgdesc="the fast distributed version control system"
-arch=(i686 x86_64)
-url="http://git-scm.com/"
-license=('GPL2')
-depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
-makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
-optdepends=('tk: gitk and git gui'
-            'perl-libwww: git svn'
-            'perl-term-readkey: git svn'
-            'perl-mime-tools: git send-email'
-            'perl-net-smtp-ssl: git send-email TLS support'
-            'perl-authen-sasl: git send-email TLS support'
-            'python2: various helper scripts'
-            'subversion: git svn'
-            'cvsps2: git cvsimport'
-            'gnome-keyring: GNOME keyring credential helper')
-replaces=('git-core')
-provides=('git-core')
-install=git.install
-source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
-        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
-        git-daemon at .service
-        git-daemon.socket
-        0001-t8005-avoid-grep-on-non-ASCII-data.patch
-        0001-t9200-avoid-grep-on-non-ASCII-data.patch)
-md5sums=('b14189d9d9ea32274e51c7a4240ffc15'
-         'SKIP'
-         '042524f942785772d7bd52a1f02fe5ae'
-         'f67869315c2cc112e076f0c73f248002'
-         '962d0aefc0d1e8988de4cadc64dfb4c0'
-         '8ca170a285fa030f6eb629b5c67c16bd')
-validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
-
-prepare() {
-  cd "$srcdir/$pkgname-$pkgver"
-  patch -Np1 < "$srcdir/0001-t8005-avoid-grep-on-non-ASCII-data.patch"
-  patch -Np1 < "$srcdir/0001-t9200-avoid-grep-on-non-ASCII-data.patch"
-}
-
-build() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    all doc
-
-  make -C contrib/emacs prefix=/usr
-  make -C contrib/credential/gnome-keyring
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
-}
-
-check() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  local jobs
-  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
-  mkdir -p /dev/shm/git-test
-  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
-  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
-  # build chroot (i.e.: /usr/bin/nologin)
-  SHELL=/bin/sh \
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    NO_SVN_TESTS=y \
-    DEFAULT_TEST_TARGET=prove \
-    GIT_PROVE_OPTS="$jobs -Q" \
-    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
-    test
-}
-
-package() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
-
-  # bash completion
-  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
-  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
-  # fancy git prompt
-  mkdir -p "$pkgdir"/usr/share/git/
-  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
-  # emacs
-  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
-  # gnome credentials helper
-  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
-      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
-  make -C contrib/credential/gnome-keyring clean
-  # subtree installation
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
-  # the rest of the contrib stuff
-  cp -a ./contrib/* $pkgdir/usr/share/git/
-
-  # scripts are for python 2.x
-  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
-    $(find "$pkgdir" -name '*.py') \
-    "$pkgdir"/usr/share/git/gitview/gitview \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
-  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
-    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
-
-  # remove perllocal.pod, .packlist, and empty directories.
-  rm -rf "$pkgdir"/usr/lib/perl5
-
-  # git-daemon via systemd socket activation
-  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
-  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
-}

Copied: git/repos/extra-x86_64/PKGBUILD (from rev 261387, git/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,115 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=git
+pkgver=2.7.3
+pkgrel=1
+pkgdesc="the fast distributed version control system"
+arch=(i686 x86_64)
+url="http://git-scm.com/"
+license=('GPL2')
+depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
+makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
+optdepends=('tk: gitk and git gui'
+            'perl-libwww: git svn'
+            'perl-term-readkey: git svn'
+            'perl-mime-tools: git send-email'
+            'perl-net-smtp-ssl: git send-email TLS support'
+            'perl-authen-sasl: git send-email TLS support'
+            'python2: various helper scripts'
+            'subversion: git svn'
+            'cvsps2: git cvsimport'
+            'gnome-keyring: GNOME keyring credential helper')
+replaces=('git-core')
+provides=('git-core')
+install=git.install
+source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
+        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
+        git-daemon at .service
+		git-daemon.socket)
+md5sums=('bb01710b1b24789a53c800a90c73957f'
+         'SKIP'
+         '042524f942785772d7bd52a1f02fe5ae'
+		 'f67869315c2cc112e076f0c73f248002')
+validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
+
+build() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    all doc
+
+  make -C contrib/emacs prefix=/usr
+  make -C contrib/credential/gnome-keyring
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
+}
+
+check() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  local jobs
+  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
+  mkdir -p /dev/shm/git-test
+  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
+  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
+  # build chroot (i.e.: /usr/bin/nologin)
+  SHELL=/bin/sh \
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    NO_SVN_TESTS=y \
+    DEFAULT_TEST_TARGET=prove \
+    GIT_PROVE_OPTS="$jobs -Q" \
+    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
+    test
+}
+
+package() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
+
+  # bash completion
+  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
+  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
+  # fancy git prompt
+  mkdir -p "$pkgdir"/usr/share/git/
+  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
+  # emacs
+  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
+  # gnome credentials helper
+  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
+      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
+  make -C contrib/credential/gnome-keyring clean
+  # subtree installation
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
+  # the rest of the contrib stuff
+  cp -a ./contrib/* $pkgdir/usr/share/git/
+
+  # scripts are for python 2.x
+  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
+    $(find "$pkgdir" -name '*.py') \
+    "$pkgdir"/usr/share/git/gitview/gitview \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
+  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
+    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
+
+  # remove perllocal.pod, .packlist, and empty directories.
+  rm -rf "$pkgdir"/usr/lib/perl5
+
+  # git-daemon via systemd socket activation
+  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
+  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+}

Deleted: extra-x86_64/git-daemon.socket
===================================================================
--- extra-x86_64/git-daemon.socket	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-x86_64/git-daemon.socket	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Git Daemon Socket
-
-[Socket]
-ListenStream=9418
-Accept=true
-
-[Install]
-WantedBy=sockets.target

Copied: git/repos/extra-x86_64/git-daemon.socket (from rev 261387, git/trunk/git-daemon.socket)
===================================================================
--- extra-x86_64/git-daemon.socket	                        (rev 0)
+++ extra-x86_64/git-daemon.socket	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Git Daemon Socket
+
+[Socket]
+ListenStream=9418
+Accept=true
+
+[Install]
+WantedBy=sockets.target

Deleted: extra-x86_64/git-daemon at .service
===================================================================
--- extra-x86_64/git-daemon at .service	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-x86_64/git-daemon at .service	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,10 +0,0 @@
-[Unit]
-Description=Git Daemon Instance
-
-[Service]
-User=git
-# The '-' is to ignore non-zero exit statuses
-ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
-StandardInput=socket
-StandardOutput=inherit
-StandardError=journal

Copied: git/repos/extra-x86_64/git-daemon at .service (from rev 261387, git/trunk/git-daemon at .service)
===================================================================
--- extra-x86_64/git-daemon at .service	                        (rev 0)
+++ extra-x86_64/git-daemon at .service	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,10 @@
+[Unit]
+Description=Git Daemon Instance
+
+[Service]
+User=git
+# The '-' is to ignore non-zero exit statuses
+ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
+StandardInput=socket
+StandardOutput=inherit
+StandardError=journal

Deleted: extra-x86_64/git.install
===================================================================
--- extra-x86_64/git.install	2016-03-12 21:13:04 UTC (rev 261387)
+++ extra-x86_64/git.install	2016-03-12 21:13:18 UTC (rev 261388)
@@ -1,12 +0,0 @@
-post_install() {
-  if ! getent group git >/dev/null; then
-    groupadd --system git 
-  fi
-  if ! getent passwd git >/dev/null; then
-    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
-  fi
-}
-
-post_upgrade() {
-  post_install $1
-}

Copied: git/repos/extra-x86_64/git.install (from rev 261387, git/trunk/git.install)
===================================================================
--- extra-x86_64/git.install	                        (rev 0)
+++ extra-x86_64/git.install	2016-03-12 21:13:18 UTC (rev 261388)
@@ -0,0 +1,12 @@
+post_install() {
+  if ! getent group git >/dev/null; then
+    groupadd --system git 
+  fi
+  if ! getent passwd git >/dev/null; then
+    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
+  fi
+}
+
+post_upgrade() {
+  post_install $1
+}



More information about the arch-commits mailing list